## org.hibernate.envers.entities.mapper
Interface PropertyMapper

All Known Subinterfaces:
  ExtendedPropertyMapper

All Known Implementing Classes:
  AbstractCollectionMapper, AbstractOneToOneMapper, AbstractToOneMapper, BasicCollectionMapper, ComponentPropertyMapper, ListCollectionMapper, MapCollectionMapper, MultiPropertyMapper, OneToOneNotOwningMapper, OneToOnePrimaryKeyJoinColumnMapper, SinglePropertyMapper, SortedMapCollectionMapper, SortedSetCollectionMapper, SubclassPropertyMapper, ToOneIdMapper

    public interface PropertyMapper

Method Summary
`List<PersistentCollectionChangeData>` `mapCollectionChanges(String referencingPropertyName, PersistentCollection newColl, Serializable oldColl, Serializable id)` Maps collection changes
`void` `mapModifiedFlagsToMapForCollectionChange(String collectionPropertyName, Map<String,Object> data)`
`void` `mapModifiedFlagsToMapFromEntity(SessionImplementor session, Map<String,Object> data, Object newObj, Object oldObj)`
`void` `mapToEntityFromMap(AuditConfiguration verCfg, Object obj, Map data, Object primaryKey, AuditReaderImplementor versionsReader, Number revision)` Maps properties from the given map to the given object.
`boolean` `mapToMapFromEntity(SessionImplementor session, Map<String,Object> data, Object newObj, Object oldObj)` Maps properties to the given map, basing on differences between properties of new and old objects.

Method Detail

### mapToMapFromEntity

    boolean mapToMapFromEntity(SessionImplementor session,
                               Map<String,Object> data,
                               Object newObj,
                               Object oldObj)

  Maps properties to the given map, basing on differences between properties of new and old objects.

  Parameters:
    `session` - The current session.
    `data` - Data to map to.
    `newObj` - New state of the entity.
    `oldObj` - Old state of the entity.
  Returns:
    True if there are any differences between the states represented by newObj and oldObj.

### mapToEntityFromMap

    void mapToEntityFromMap(AuditConfiguration verCfg,
                            Object obj,
                            Map data,
                            Object primaryKey,
                            AuditReaderImplementor versionsReader,
                            Number revision)

  Maps properties from the given map to the given object.

  Parameters:
    `verCfg` - Versions configuration.
    `obj` - Object to map to.
    `data` - Data to map from.
    `primaryKey` - Primary key of the object to which we map (for relations)
    `versionsReader` - VersionsReader for reading relations
    `revision` - Revision at which the object is read, for reading relations

### mapCollectionChanges

    List<PersistentCollectionChangeData> mapCollectionChanges(String referencingPropertyName,
                                                              PersistentCollection newColl,
                                                              Serializable oldColl,
                                                              Serializable id)

  Maps collection changes

  Parameters:
    `referencingPropertyName` - Name of the field, which holds the collection in the entity.
    `newColl` - New collection, after updates.
    `oldColl` - Old collection, before updates.
    `id` - Id of the object owning the collection.
  Returns:
    List of changes that need to be performed on the persistent store.

### mapModifiedFlagsToMapFromEntity

    void mapModifiedFlagsToMapFromEntity(SessionImplementor session,
                                         Map<String,Object> data,
                                         Object newObj,
                                         Object oldObj)

### mapModifiedFlagsToMapForCollectionChange

    void mapModifiedFlagsToMapForCollectionChange(String collectionPropertyName,
                                                  Map<String,Object> data)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.